{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "deletionPolicy": {
          "enum": [
            "Delete",
            "Retain"
          ],
          "type": "string"
        },
        "driver": {
          "type": "string"
        },
        "source": {
          "properties": {
            "snapshotHandle": {
              "type": "string"
            },
            "volumeHandle": {
              "type": "string"
            }
          },
          "type": "object"
        },
        "volumeSnapshotClassName": {
          "type": "string"
        },
        "volumeSnapshotRef": {
          "properties": {
            "apiVersion": {
              "type": "string"
            },
            "fieldPath": {
              "type": "string"
            },
            "kind": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "namespace": {
              "type": "string"
            },
            "resourceVersion": {
              "type": "string"
            },
            "uid": {
              "type": "string"
            }
          },
          "type": "object"
        }
      },
      "required": [
        "deletionPolicy",
        "driver",
        "source",
        "volumeSnapshotRef"
      ],
      "type": "object"
    },
    "status": {
      "properties": {
        "creationTime": {
          "format": "int64",
          "type": "integer"
        },
        "error": {
          "properties": {
            "message": {
              "type": "string"
            },
            "time": {
              "format": "date-time",
              "type": "string"
            }
          },
          "type": "object"
        },
        "readyToUse": {
          "type": "boolean"
        },
        "restoreSize": {
          "format": "int64",
          "minimum": 0,
          "type": "integer"
        },
        "snapshotHandle": {
          "type": "string"
        }
      },
      "type": "object"
    }
  },
  "required": [
    "spec"
  ],
  "type": "object"
}
